/* Copyright (c) 2013
 * All right reserved.
 * blog : http://beyondj2ee.wordpress.com
 * twitter : http://www.twitter.com/beyondj2ee
 * facebook : https://www.facebook.com/beyondj2ee
 * Revision History
 * Author              Date                         Description
 * ------------------   --------------                  ------------------
 *   beyondj2ee         2013. 1. 11
 */
package pe.beyondj2ee.hadoop.mr;

import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.util.ToolRunner;

public class MRLauncher {


	static final String FS_DEFAULT_NAME = "hdfs://192.168.0.1:9000";

	static final String MAPRED_JOB_TRACKER = "hdfs://192.168.0.1:9001";

	static final String HADOOP_USER = "mspider";

	public int invokeMR(String jobName, String[] args) throws Exception {

		int res = 1;

		if (WordCount.class.getName().equals(jobName)) {

			Configuration conf = new Configuration();
			conf.set("fs.default.name", FS_DEFAULT_NAME);
			conf.set("mapred.job.tracker", MAPRED_JOB_TRACKER);
			conf.set("hadoop.job.ugi", HADOOP_USER);

			res = ToolRunner.run(conf, new WordCount(), args);
		}

		return res;
	}

}